.end-image-wrap {
    width:100%;
    background-color: var(--violetColor);
    background-image: linear-gradient( transparent,transparent,  rgba(0,0,0,.6));
}

.end-image {
    width: 100%;
    max-width: 700px;
    margin: 0 auto;
    height: 150px;
    background-image: url("../img/hammer.png");
    background-position: center;
    background-size: cover;
    border-top: 1px solid black;
    box-shadow: 0 0 50px 0px black;
}

.footer {
    background-color: var(--darkColor);
    color: var(--lightColor);
    display: flex;
    flex-direction: column;
    text-align: center;
    padding: 30px 10px 90px;
    position: relative;
}

.footer h3 {
    font-size: 20px;
    letter-spacing: 1px;
    line-height: 1.5;
}

.footer p {
    font-size: 18px;
}

.footer a {
    font-size: 18px;
    display: block;
    color: var(--lightColor);
    text-decoration: none;
}

.footer__element {
    padding: 30px 10px;
}

.footer__socials {
    display: flex;
    justify-content: space-evenly;
    margin: 10px auto 0;
    max-width: 600px;
}

.footer__socials a {
    color: var(--lightColor);
    font-size: 40px;
    transition: .3s;
}

.footer__legal-note h3 {
    margin-bottom: 10px;
}

.footer__legal-note a {
    color: var(--lightColor);
    text-decoration: underline;
}

.footer__author {
    font-size: 14px;
    background-color: var(--lightColor);
    position: absolute;
    left: 0;
    bottom: 0;
    width: 100%;
    color: var(--darkColor);
    padding: 15px 0;
}

.footer__author a {
    color: var(--darkColor);
    transition: .3s;
}

@media (orientation: landscape) {
    .end-image {
        height: 250px;
    }
}

@media (min-width: 768px) {
    .end-image-wrap {
        padding: 10px;
    }

    .end-image {
        border-radius: 150px;
    }
}

@media (min-width: 1000px) {
    .end-image {
        height: 300px;
        margin: 30px auto;
        border-top: none;
        border: 1px solid black;
        box-shadow: 0 0 50px 0px black, inset 0 0 100px 20px black;
        max-width: 900px;
    }

    .footer {
        flex-direction: row;
        align-items: center;
    }
    
    .footer__element {
        flex-basis: 33%;
    }

    .footer__socials a.fb:hover {
        color:#3b5998;
    }

    .footer__socials a.linked-in:hover {
        color:#0e76a8;
    }

    .footer__author a {
        text-decoration: none;
    }

    .footer__legal-note a {
        text-decoration: none;
    }

    .footer__legal-note a:hover,
    .footer__author a:hover {
        text-decoration: underline;
    }
}